# Jobs

- <b>Fullstack Engineer - Mainly work with TypeScript</b> @[affine.pro]

  <details><summary>TypeScript & Rust · BlockSuite & OctoBase · Singapore / China / Remote</summary>
  <p>

  ## What we do

  We **AFFiNE** hold a vision of shaping a world semantically connected through block components in modern applications.
  We're open for Fullstack Engineer positions across the BlockSuite sub-team.
  The **BlockSuite** team works on creating
  the best **block-editor** and **open-block** protocol for use in AFFiNE.
  Paving the way for a new generation of SaaS
  software and developers.

  ## Fullstack Engineer

  ### This position is for

  - Developing AFFiNE **the open source way**, including coding and community engagement.
  - Researching and supporting **onboarding process** of new use cases for AFFiNE.pro subscribers.
  - Improving our **block editor** and **graphics editor**.
  - Assisting our subscribers in utilizing our product in a data-based way with help from the operational teams.
  - Researching on better activation of potential subscribers.
  - Engineers who're self-organized individuals and also responsible team members, no matter they're on-site or
    working remotely.

  ### What we're looking for

  - Software engineering experience with **editor** or **graphics** and professional real-world use cases.
  - Experience and proficiency in **TypeScript** and a **second programming language** preferably **Rust**.
  - Strong communication and writing skills in English.
  - Ability to work in a diverse and cross-functional team with skill and ease.
  - A love for open source, sharing our visions and working under those values.

  ### It would be great if you are

  - Skillful in building UI with different web frameworks or native web components.
  - Heavy user of knowledge/project management tools.
  - Experienced in scaling **a successful SaaS product**.
  - Experienced in developing platforms or tools for developers.
  - Experienced in working with a **globally distributed team**.
  - Enthusiastic about AFFiNE products as a user or contributor.

  ### What we offer

  - $2800 vouchers for the latest MacBook Pro or working equipment of your choice.
  - Public holidays and paid annual leave starting at 12 days.
  - Free lunch, unlimited drinks and snacks.
  - Free English language lessons (including free IELTS test) open to all employees.
  - Become a maintainer of great open source projects and use Copilot powered by GitHub for free if you want.

  ## Contact us

  Interested? Send us your CV to [contact@toeverything.info].

  Feel free to include any extra information (GitHub link, previous projects, personal blog etc.).

  </p>
  </details>

- <b>AFFiNE client app</b> @[affine.pro]

  <details><summary>Nodejs · TypeScript · Remote</summary>
  <p>

  ## What we do

  We **AFFiNE** hold a vision of shaping a world semantically connected through block components in collaboration
  applications.
  We're open for Fullstack Engineer internship positions across the **Client Application Development** sub-team on
  creating **AFFiNE client app** for desktop and mobile devices.

  ## Fullstack Engineer Intern

  ### This position is for

  - Developing AFFiNE **the open source way**, including coding and community engagement.
  - Build the **client app** for desktop and mobile devices using web technologies.

  ### What we're looking for

  - Software engineering experience with cross-platform client app development and professional real-world use cases.
  - Experience and proficiency in **TypeScript** and a **second programming language** preferably **Rust**.
  - Strong communication and writing skills in English.
  - Ability to work in a diverse and cross-functional team with skill and ease.
  - A lover for open source, sharing our visions and working under those values.

  ### It would be great if you are

  - Heavy user of knowledge/project management tools.
  - Experience in Napi.rs, Electron, Tauri, Flutter, React Native, etc.
  - Enthusiastic about AFFiNE products as a user or contributor.

  ## Contact us

  Interested? You can full this [form](https://6dxre9ihosp.typeform.com/to/lnHWRsVS) or send us your CV to [contact@toeverything.info].

  Feel free to include any extra information (GitHub link, previous projects, personal blog etc.).

  </p>
  </details>

- <b>Fullstack Engineer - Mainly work with Rust</b> @[affine.pro]

  <details><summary>Rust & TypeScript · OctoBase & BlockSuite · Singapore / China / Remote</summary>
  <p>

  ## What we do

  We, `AFFiNE` believe in shaping a world semantically connected through block components in modern applications. We're
  open for Fullstack Engineer positions across the OctoBase sub-team. OctoBase is an offline, scalable, and
  self-contained collaborative database. It provides a data collaboration engine for AFFiNE and BlockSuite. It can
  either run on the server as a service or be embedded in our client to offer a complete offline computing capacity.

  ## Fullstack Engineer

  ### This position is for

  - Developing AFFiNE the open source way, including coding and community engagement.
  - Researching and supporting the onboarding process of new use cases for AFFiNE.pro subscribers.
  - Improving our data computing engine with Rust.
  - Assisting our subscribers in utilizing our product in a data-based way with help from the operational - teams.
  - Researching on better activation of potential subscribers.
  - Engineers who're self-organized individuals and also responsible team members, no matter whether - they're on-site
    or working remotely.

  ### What we're looking for

  - Ability to use TypeScript proficiently in engineering projects and at least one server-side development language (
    preferably Rust).
  - Strong English communication and writing skills.
  - Ability to work skillfully and comfortably within diverse and cross-functional teams.
  - Love open source, share our vision, and work within those values.

  ### It would be great if you are

  - Experience in understanding the architecture and being responsible for the development of a function or module in a
    real project
  - Heavy user of knowledge/project management tools
  - Experience in working on a real-world database, distributed server application, or serverless application projects
  - Experience in using a collaborative algorithm on your own or participating in projects
  - Experienced in working with a globally distributed team.
  - Enthusiastic about AFFiNE products as a user or contributor.

  ### What we offer

  - $2800 vouchers for latest generation MacBook Pr or working equipment of your choice.
  - Public holidays and paid annual leave starting at 12 days.
  - Free lunch, unlimited drinks and snacks.
  - Free English language lessons (including free IELTS test) open to all employees.
  - Become a maintainer of great open source projects and use Copilot powered by GitHub for free if you want.

  ## Contact us

  Interested? Send us your CV to [contact@toeverything.info].

  Feel free to include any extra information (GitHub link, previous projects, personal blog etc.).

  </p>
  </details>

- <b>Senior UI/UX Designer </b> @[affine.pro]

  <details><summary>UI / UX · Creative Designer · Singapore / China / Remote</summary>
  <p>

  ## Senior UI/UX Designer

  We're seeking a highly skilled and experienced Senior UI/UX Designer to join our team and lead the development and
  implementation of a UI design system for our product AFFiNE.
  The ideal candidate will have a proven track record in
  UI/UX design, as well as a deep understanding of the latest design trends and technologies.

  ### Position Requirements

  - Lead the development and implementation of a UI design system for AFFiNE
  - Create and maintain a UI component library, including colors, fonts, buttons, text boxes, etc.
  - Establish UI design guidelines and standards to ensure consistency and reusability of all components
  - Collaborate with cross-functional teams to gather requirements and design intuitive, user-friendly interfaces
  - Conduct user research and gather feedback to iterate and improve the UI design system
  - Stay up-to-date with the latest design trends and technologies, and continuously improve the UI design system
  - Extensive experience in creative design thinking
  - Strong expertise in animate effect design
  - Having abroad job experience background
  - Having a strong visual background or experience, proficient in illutrations（bonus point）
  - Having distinctive artistic talent （bonus point）

  ### Job Requirements

  - Bachelor's or Master's degree in Graphic Design, UI/UX Design, or a related field
  - Extensive experience in UI/UX design, with a portfolio showcasing previous work
  - Proficiency in design tools such as Sketch, Figma, Adobe Creative Suite, etc.
  - Strong understanding of design principles and best practices, including typography, color theory, and user-centered
    design
  - Experience leading and mentoring junior designers
  - Excellent communication and collaboration skills
  - This is a long-term project that requires constant iteration and improvement to ensure AFFiNE's UI design meets user
    needs and remains competitive.

  ### What we offer

  - $2800 vouchers for the latest MacBook Pro or working equipment of your choice.
  - Public holidays and paid annual leave starting at 12 days.
  - Free lunch, unlimited drinks and snacks.
  - Free English language lessons (including free IELTS test) open to all employees.
  - Become a maintainer of great open source projects and use Copilot powered by GitHub for free if you want.

  ## Contact us

  Interested? Send us your CV to [contact@toeverything.info].

  Feel free to include any extra information (GitHub link, previous projects, personal blog etc.).

  </p>
  </details>

- <b>Fullstack Engineer - Intern</b> @[affine.pro]

  <details><summary>Rust · TypeScript · BlockSuite · OctoBase · Remote</summary>
  <p>

  ## What we do

  We **AFFiNE** hold a vision of shaping a world semantically connected through block components in modern applications.
  We're open for Fullstack Engineer positions across the BlockSuite sub-team. The **BlockSuite** team works on creating
  the best **block-editor** and **open-block** protocol for use in AFFiNE. Paving the way for a new generation of SaaS
  software and developers.

  ## Fullstack Engineer Intern

  ### This position is for

  - Developing AFFiNE **the open source way**, including coding and community engagement.
  - Improving our **block editor** and **graphics editor**.
  - Researching on better activation of potential subscribers.

  ### What we're looking for

  - Software engineering experience with **editor** or **graphics** and professional real-world use cases.
  - Experience and proficiency in **TypeScript** and a **second programming language** preferably **Rust**.
  - Strong communication and writing skills in English.
  - Ability to work in a diverse and cross-functional team with skill and ease.
  - A lover for open source, sharing our visions and working under those values.

  ### It would be great if you are

  - Heavy user of knowledge/project management tools.
  - Enthusiastic about AFFiNE products as a user or contributor.

  ## Contact us

  Interested? Send us your CV to [contact@toeverything.info].

  Feel free to include any extra information (GitHub link, previous projects, personal blog etc.).

  </p>
  </details>

- <b>Full Stack Platform Engineer</b> @[mysc.app](https://mysc.app/)

  <details><summary>Backend · Remote / Shanghai, China</summary>
  <p>

  ## Full Stack Platform Engineer

  ### Your responsibilities will include

  - Build APIs in the Data Platform to support new capabilities within mysc.
  - Work with backend and client side databases (MongoDB, Redis, SQLite)
  - Design and implement algorithms that are highly performant, resilient against failures and race conditions and are
    easy to use by application developers
  - Build up solid knowledge of our product to understand end to end system behavior and data flow
  - Execute performance profiling on existing systems to identify key bottlenecks and improve their performance
    characteristics

  ### What we're looking for

  - Strong analytical thinking, planning, and problem-solving skills
  - 3-5 years experience in building APIs or Platforms
  - Strong computer science fundamentals, including knowledge of data structures, algorithmic complexity, and designing
    for performance and scalability
  - Experience in NodeJS, TypeScript, and Go
  - Experience with unit / automated testing

  ### What we offer

  - A fully remote team based on Gather Town
  - A culture that encourages different opinions, respects different values and advocates work life balance
  - Real ownership and actual impact
  - Learning and career opportunities on the long run

  </p>
  </details>

[affine.pro]: http://affine.pro/
[contact@toeverything.info]: mailto:contact@toeverything.info

- <b>Full stack or intern engineer - Mainly work with TypeScript</b> @[affine.pro]

  <details><summary>TypeScript · BlockSuite · Remote</summary>
  <p>

  ## What we do

  We **AFFiNE** hold a vision of shaping a world semantically connected through block components in modern applications.
  We're open for Fullstack Engineer positions across the BlockSuite sub-team. The **BlockSuite** team works on creating
  the best **block-editor** and **open-block** protocol for use in AFFiNE. Paving the way for a new generation of SaaS
  software and developers.

  ## Full stack or intern engineer

  ### This position is for

  - Actively participate in Affine's open source work, responsible for implementing Affine's core features and continuously improving the user experience.
  - Optimise and improve the copy and paste function to increase the efficiency of user copy and paste operations.
  - Responsible for Affine's import and export work. Familiar with the data structure design of software such as Affine, Markdown, and Notion to ensure the accuracy of imported and exported data.

  ### What we're looking for

  - Proficient in the JavaScript technology stack.
  - Good English communication and teamwork skills, able to communicate and collaborate effectively with team members both locally and internationally.
  - Passionate about open source software, familiar with the open source community and experience in open source projects preferred.
  - Willingness to take on challenging work, agile thinking, strong learning skills and ability to adapt quickly to new technology and job requirements.

  ## Contact us

  Interested? Send us your CV to [contact@toeverything.info].

  Feel free to include any extra information (GitHub link, previous projects, personal blog etc.).

  </p>
  </details>
